#define NRF_LOG_MODULE_NAME "FUNCTION"

#include "nrf_log.h"
#include "nrf_log_ctrl.h"

#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"
#include "timers.h"

#include "user_config.h"
#include "user_tasks.h"
#include "user_functions.h"

uint32_t ble_new_event_handler(void) {
    BaseType_t yield_req = pdFALSE;
    UNUSED_VARIABLE(xSemaphoreGiveFromISR(xSemaphoreBLEEventReadyHandle, &yield_req));
    portYIELD_FROM_ISR(yield_req);
    return NRF_SUCCESS;
}

void vApplicationIdleHook(void) {
    vTaskResume(xTaskLoggerHandle);
}